# ACE_Thread_Semaphore Class Reference

Wrapper for Dijkstra style general semaphores that work only within one process. More...

`#include <Thread_Semaphore.h>`

Inheritance diagram for ACE_Thread_Semaphore:

[legend]
Collaboration diagram for ACE_Thread_Semaphore:

[legend]
List of all members.

## Public Member Functions

| ACE_Thread_Semaphore (unsigned int count=1, const ACE_TCHAR *name=0, void *=0, int max=0x7FFFFFFF)
| ~ACE_Thread_Semaphore (void)
| Default dtor.
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Wrapper for Dijkstra style general semaphores that work only within one process.

## Constructor & Destructor Documentation

ACE_Thread_Semaphore::ACE_Thread_Semaphore | ( | unsigned int | count = `1`,
|  | const ACE_TCHAR * | name = `0`,
|  | void * | = `0`,
|  | int | max = `0x7FFFFFFF`
| ) |

| Initialize the semaphore, with an initial value of count, maximum value of max, and unlocked by default.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Thread_Semaphore::~ACE_Thread_Semaphore | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_Thread_Semaphore::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Semaphore.

## Member Data Documentation

ACE_Thread_Semaphore::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Semaphore.

The documentation for this class was generated from the following files:

- Thread_Semaphore.h
- Thread_Semaphore.cpp
- Thread_Semaphore.inl